<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_10) on Wed Jul 30 11:19:11 CEST 2008 -->
<TITLE>
Uses of Class fr.inria.vcd.model.comment.ConstraintCommentCommand
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Class fr.inria.vcd.model.comment.ConstraintCommentCommand";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?fr/inria/vcd/model/command/\class-useConstraintCommentCommand.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConstraintCommentCommand.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>fr.inria.vcd.model.comment.ConstraintCommentCommand</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#fr.inria.vcd.figure"><B>fr.inria.vcd.figure</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#fr.inria.vcd.listener"><B>fr.inria.vcd.listener</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#fr.inria.vcd.model"><B>fr.inria.vcd.model</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#fr.inria.vcd.view"><B>fr.inria.vcd.view</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="fr.inria.vcd.figure"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A> in <A HREF="../../../../../../fr/inria/vcd/figure/package-summary.html">fr.inria.vcd.figure</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../fr/inria/vcd/figure/package-summary.html">fr.inria.vcd.figure</A> that return <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A></CODE></FONT></TD>
<TD><CODE><B>ConstraintsConnection.</B><B><A HREF="../../../../../../fr/inria/vcd/figure/ConstraintsConnection.html#getComment()">getComment</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../fr/inria/vcd/figure/package-summary.html">fr.inria.vcd.figure</A> with parameters of type <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConstraintsConnection.</B><B><A HREF="../../../../../../fr/inria/vcd/figure/ConstraintsConnection.html#setComment(fr.inria.vcd.model.comment.ConstraintCommentCommand)">setComment</A></B>(<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;comment)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="fr.inria.vcd.listener"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A> in <A HREF="../../../../../../fr/inria/vcd/listener/package-summary.html">fr.inria.vcd.listener</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../../../fr/inria/vcd/listener/package-summary.html">fr.inria.vcd.listener</A> with type parameters of type <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.HashMap&lt;org.eclipse.jface.action.Action,<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ListConnections.</B><B><A HREF="../../../../../../fr/inria/vcd/listener/ListConnections.html#actionforcomment">actionforcomment</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.HashMap&lt;<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>,java.util.ArrayList&lt;org.eclipse.draw2d.IFigure&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B>ListConnections.</B><B><A HREF="../../../../../../fr/inria/vcd/listener/ListConnections.html#firstclock1">firstclock1</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.HashMap&lt;<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>,java.util.ArrayList&lt;org.eclipse.draw2d.IFigure&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B>ListConnections.</B><B><A HREF="../../../../../../fr/inria/vcd/listener/ListConnections.html#firstclock2">firstclock2</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.HashMap&lt;<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>,java.util.ArrayList&lt;org.eclipse.draw2d.IFigure&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B>ListConnections.</B><B><A HREF="../../../../../../fr/inria/vcd/listener/ListConnections.html#lastclock1">lastclock1</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.HashMap&lt;<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>,java.util.ArrayList&lt;org.eclipse.draw2d.IFigure&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B>ListConnections.</B><B><A HREF="../../../../../../fr/inria/vcd/listener/ListConnections.html#lastclock2">lastclock2</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.HashMap&lt;<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>,java.util.ArrayList&lt;org.eclipse.draw2d.IFigure&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B>ListConnections.</B><B><A HREF="../../../../../../fr/inria/vcd/listener/ListConnections.html#listInterval">listInterval</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.HashMap&lt;org.eclipse.swt.widgets.MenuItem,<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ListConnections.</B><B><A HREF="../../../../../../fr/inria/vcd/listener/ListConnections.html#menuforcomment">menuforcomment</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../fr/inria/vcd/listener/package-summary.html">fr.inria.vcd.listener</A> with parameters of type <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ListConnections.</B><B><A HREF="../../../../../../fr/inria/vcd/listener/ListConnections.html#clearInterval(fr.inria.vcd.model.comment.ConstraintCommentCommand)">clearInterval</A></B>(<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../../fr/inria/vcd/listener/package-summary.html">fr.inria.vcd.listener</A> with parameters of type <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../fr/inria/vcd/listener/VcdIntervalButtonListener.html#VcdIntervalButtonListener(fr.inria.vcd.listener.ListConnections, fr.inria.vcd.listener.IVcdDiagram, fr.inria.vcd.model.comment.ConstraintCommentCommand)">VcdIntervalButtonListener</A></B>(<A HREF="../../../../../../fr/inria/vcd/listener/ListConnections.html" title="class in fr.inria.vcd.listener">ListConnections</A>&nbsp;list,
                          <A HREF="../../../../../../fr/inria/vcd/listener/IVcdDiagram.html" title="interface in fr.inria.vcd.listener">IVcdDiagram</A>&nbsp;vdt,
                          <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructor parameters in <A HREF="../../../../../../fr/inria/vcd/listener/package-summary.html">fr.inria.vcd.listener</A> with type arguments of type <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../fr/inria/vcd/listener/ListConnections.html#ListConnections(java.util.ArrayList, java.util.ArrayList, java.util.HashMap)">ListConnections</A></B>(java.util.ArrayList&lt;<A HREF="../../../../../../fr/inria/vcd/model/Description.html" title="class in fr.inria.vcd.model">Description</A>&gt;&nbsp;listDesciptions,
                java.util.ArrayList&lt;org.eclipse.draw2d.IFigure&gt;&nbsp;listSync,
                java.util.HashMap&lt;<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>,java.util.ArrayList&lt;org.eclipse.draw2d.IFigure&gt;&gt;&nbsp;listInterval)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="fr.inria.vcd.model"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A> in <A HREF="../../../../../../fr/inria/vcd/model/package-summary.html">fr.inria.vcd.model</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../fr/inria/vcd/model/package-summary.html">fr.inria.vcd.model</A> that return types with arguments of type <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.ArrayList&lt;<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>VCDDefinitions.</B><B><A HREF="../../../../../../fr/inria/vcd/model/VCDDefinitions.html#getConstraintCommentCommand()">getConstraintCommentCommand</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="fr.inria.vcd.view"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A> in <A HREF="../../../../../../fr/inria/vcd/view/package-summary.html">fr.inria.vcd.view</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../fr/inria/vcd/view/package-summary.html">fr.inria.vcd.view</A> that return <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A></CODE></FONT></TD>
<TD><CODE><B>ConstraintsConnection.</B><B><A HREF="../../../../../../fr/inria/vcd/view/ConstraintsConnection.html#getComment()">getComment</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../fr/inria/vcd/view/package-summary.html">fr.inria.vcd.view</A> with parameters of type <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConstraintsFactory.</B><B><A HREF="../../../../../../fr/inria/vcd/view/ConstraintsFactory.html#alternateFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)">alternateFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                  java.lang.String&nbsp;currentclock,
                  <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                  org.eclipse.swt.graphics.Color&nbsp;color,
                  boolean&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConstraintsFactory.</B><B><A HREF="../../../../../../fr/inria/vcd/view/ConstraintsFactory.html#drawSyncInterval(fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color)">drawSyncInterval</A></B>(<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                 org.eclipse.swt.graphics.Color&nbsp;color)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConstraintsFactory.</B><B><A HREF="../../../../../../fr/inria/vcd/view/ConstraintsFactory.html#filterByFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)">filterByFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                 java.lang.String&nbsp;currentclock,
                 <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                 org.eclipse.swt.graphics.Color&nbsp;color,
                 boolean&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConstraintsFactory.</B><B><A HREF="../../../../../../fr/inria/vcd/view/ConstraintsFactory.html#oneShotConstraintFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color)">oneShotConstraintFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                          java.lang.String&nbsp;currentclock,
                          <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                          org.eclipse.swt.graphics.Color&nbsp;color)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConstraintsFactory.</B><B><A HREF="../../../../../../fr/inria/vcd/view/ConstraintsFactory.html#precedesFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)">precedesFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                 java.lang.String&nbsp;currentclock,
                 <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                 org.eclipse.swt.graphics.Color&nbsp;color,
                 boolean&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConstraintsFactory.</B><B><A HREF="../../../../../../fr/inria/vcd/view/ConstraintsFactory.html#redrawSyncInterval(fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color)">redrawSyncInterval</A></B>(<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                   org.eclipse.swt.graphics.Color&nbsp;color)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConstraintsFactory.</B><B><A HREF="../../../../../../fr/inria/vcd/view/ConstraintsFactory.html#sampledtoFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)">sampledtoFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                  java.lang.String&nbsp;currentclock,
                  <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                  org.eclipse.swt.graphics.Color&nbsp;color,
                  boolean&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConstraintsConnection.</B><B><A HREF="../../../../../../fr/inria/vcd/view/ConstraintsConnection.html#setComment(fr.inria.vcd.model.comment.ConstraintCommentCommand)">setComment</A></B>(<A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;comment)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConstraintsFactory.</B><B><A HREF="../../../../../../fr/inria/vcd/view/ConstraintsFactory.html#sustainsFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)">sustainsFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
                 java.lang.String&nbsp;currentclock,
                 <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
                 org.eclipse.swt.graphics.Color&nbsp;color,
                 boolean&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConstraintsFactory.</B><B><A HREF="../../../../../../fr/inria/vcd/view/ConstraintsFactory.html#syncFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color)">syncFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
             java.lang.String&nbsp;currentclock,
             <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
             org.eclipse.swt.graphics.Color&nbsp;color)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConstraintsFactory.</B><B><A HREF="../../../../../../fr/inria/vcd/view/ConstraintsFactory.html#unionFunction(org.eclipse.draw2d.IFigure, java.lang.String, fr.inria.vcd.model.comment.ConstraintCommentCommand, org.eclipse.swt.graphics.Color, boolean)">unionFunction</A></B>(org.eclipse.draw2d.IFigure&nbsp;currentfig,
              java.lang.String&nbsp;currentclock,
              <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command">ConstraintCommentCommand</A>&nbsp;cc,
              org.eclipse.swt.graphics.Color&nbsp;color,
              boolean&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../fr/inria/vcd/model/command/ConstraintCommentCommand.html" title="class in fr.inria.vcd.model.command"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?fr/inria/vcd/model/command/\class-useConstraintCommentCommand.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConstraintCommentCommand.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
